PUT/domains/{domain}/dns

Update DNS record

Auth
Bearer API key
Content-Type
application/json

Request

Body

Schema has no top-level properties — see example below.

Example request body
{
  "type": "A",
  "host": "string",
  "value": "string",
  "ttl": 300,
  "priority": 0
}

Code samples

curl -X PUT 'https://namemy.app/api/v1/domains/{domain}/dns' \
  -H 'Authorization: Bearer nma_live_...' \
  -H 'Content-Type: application/json' \
  -d '{
  "type": "A",
  "host": "string",
  "value": "string",
  "ttl": 300,
  "priority": 0
}'

Responses

200Record updated
FieldTypeDescription
id
string
type
string

One of: "A", "AAAA", "CNAME", "MX", "TXT", "NS", "SRV", "CAA"

host
string
value
string
ttl
integer
priority
integer
Example
{
  "id": "string",
  "type": "A",
  "host": "@",
  "value": "76.76.21.21",
  "ttl": 300,
  "priority": 0
}